<?

  require_once('classes/pop3_php.inc.php');

  $session = new pop3session('mail.server.net:110', 'username', 'userpass');

  if (!$session->open(15)) { // <-- 15 there is the timeout in seconds

    // Unable to open session, output error message ... nothing else to do :-p
    print('<P><B>'.$session->error().'</B>'."\n");

  } else {

    // Ok - the session is open!
    
    // We could fetch these (UIDs for messages we've seen) from database
    // or some other storage... What I mean is that these are here just
    // for an example - most likely the UIDs your server offers has
    // nothing to do with these :)
    $uidl = array(
      'cod8i3.1q8.2', 'col4fm.12g.2', 'colm32.1to.2', 'corbs9.1uc.2',
      'corsc0.1rg.4', 'cp287n.20c.2', 'cp34ce.1ns.2', 'cp4uli.280.2',
      'cp6th2.2f0.2', 'cpeblg.2j0.2', 'cpeblg.2j0.4', 'cpeblg.2j0.6',
      'cpviu1.1no.4', 'cq030d.1q0.2', 'cq030d.1q0.4', 'cq037e.1pg.2',
      'cq19bn.1oc.2', 'cq19bn.1oc.4', 'cq20j8.1pg.2', 'cq21et.1o8.2',
      'cq2k1l.1qc.2', 'cq2p8p.1qc.2', 'cq3nlm.1no.2', 'cq3nlm.1no.4',
      'cq5b64.1pg.2', 'cq5bc4.1h0.2', 'cq5brl.1r8.2', 'cq5d5b.1p8.2',
      'cq5d5b.1p8.4', 'cq6i9n.1o8.2', 'cqdku1.1pk.2', 'cqe6hv.1r8.2',
      'cr6rvc.1m8.4', 'crbisi.1i8.2', 'crlk6u.1lc.2', 'crlpam.1n8.2',
      'crs957.1o4.2', 'crsa2m.1p8.2', 'csjfvf.248.2', 'csjt79.1qk.2',
      'csjtd0.1ug.2', 'csrapc.1tc.2', 'csrbb7.26o.2', 'ct1fje.1n4.1',
      'ct36ce.1ds.1', 'ct36ce.1ds.2', 'ct36oa.1lo.1', 'ct38no.10g.1',
      'ct6j63.180.1', 'ct6j63.180.2', 'ct6mj8.1lo.2', 'ct6nrl.180.1',
      'ct6o9k.180.2', 'ct6ojd.1do.1', 'ct6rr1.1do.1', 'ct72dn.1l4.1',
      'ct73mq.1lg.1', 'ct73um.1bs.1', 'ct73um.1bs.2', 'ct7aes.11c.1',
      'ct7aol.1ic.1', 'ct7cn8.1lg.1', 'ct7e2o.14o.1', 'ct7jdn.1n8.1',
      'ct5q3u.1ho.1', 'ct5q3u.1ho.2', 'ct5r5l.1ho.1', 'ct5r5l.1ho.2',
      'ct5r7v.1bs.1', 'ct60rb.1lo.1', 'ct61qo.1n8.1', 'ct63gb.180.2',
    );
    $count = 0;
    foreach (array_keys($session->messages) as $msg_id) {

      $message = &$session->messages[$msg_id];

      // Let's check if this message has an "unseen" UID...
      if (!in_array($message->uid(), $uidl)) {

        $count++;

        // If this a message we wish to check, first look
        // through the main header like this...

        print('<P><B>HEADER</B>');
        $message_header = $message->header();
        if (!$message_header) {
          print('<P><B>'.$session->error().'</B>'."\n");
        } else {
          print('<PRE>'."\n");
          print($message_header);
          print('</PRE>'."\n");
        }

        // We can decide by the header if we wish to receive
        // the message (spam filtering, etc.) and if so, we
        // can get it all like this...

        print('<P><B>SOURCE</B>');
        $message_source = $message->source();
        if (!$message_source) {
          print('<P><B>'.$session->error().'</B>'."\n");
        } else {
          print('<PRE>'."\n");
          print($message_source());
          print('</PRE>'."\n");
        }

        // And of course we need to add this new received UID
        // into our list (and save it to database for the next
        // time we check the server)

        array_push($uidl, $message->uid());

      } else {

        // We've already seen this message... skip, delete, etc.

      }
    }

    print('<P>'.$count.' new messages ('.count($session->messages).' total)');
    // And now we should store the new items in the $uidl-array...

  }

  if (!$session->close()) {
    // Closing the session failed?
    print('<P><B>'.$session->error().'</B>'."\n");
  }

  unset($session);

?>